(Status 2016/11)
How to connect PostgreSQL and Elasticsearch 2.* on Ubuntu/Debian

You need to install Multicorn extension, but it is better to do it from github because Multicorn web page is right now quite outdated.

To do it you need to:

  • check/install “make” package
  • check/install python 2.7
  • check/install “python-dev” package
  • check/install “gcc” package
  • install “postgresql-server-dev-x.x” package
  • clone Multicorn repo – git clone git://github.com/Kozea/Multicorn.git
  • cd Multicorn
  • make
  • sudo make install

After it you will be able to run in PostgreSQL “create extension multicorn” command.

Install foreign data wrappers: